Skip to main content
CosyVoice

List designed voices

POST
/services/audio/tts/customization
cURL
curl -X POST https://dashscope-intl.aliyuncs.com/api/v1/services/audio/tts/customization \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
  "model": "voice-enrollment",
  "input": {
    "action": "list_voice",
    "prefix": "announcer",
    "page_size": 10,
    "page_index": 0
  }
}'
{
  "output": {
    "voice_list": [
      {
        "voice_id": "cosyvoice-v3-plus-vd-announcer-xxxxxx",
        "gmt_create": "2025-12-10 14:54:09",
        "gmt_modified": "2025-12-10 14:54:09",
        "status": "OK"
      }
    ]
  },
  "usage": {
    "count": 1
  },
  "request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Authorizations

string
header
required

DashScope API key. Get one at API key.

Body

application/json
enum<string>
required

Fixed to voice-enrollment.

voice-enrollment
voice-enrollment
object
required

Response

200-application/json
object
object
string

Request ID for troubleshooting.

xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx